package com.example.administrator.zhapp.entity;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * Created by gzw on 2016/8/18.
 */

public class SbdjInfo implements Parcelable {


    private String qy;//区域
    private String jcnr;//检查内容
    private String zy;//专业
    private String pl;//频率
    private int zt;//状态
    private String ms;//描述

    public SbdjInfo()
    {
    }

    public SbdjInfo(String qy,String jcnr, String zy, String pl, int zt) {
        this.qy = qy;
        this.jcnr = jcnr;
        this.zy = zy;
        this.pl = pl;
        this.zt = zt;
    }

    public String getQy() {
        return qy;
    }

    public void setQy(String qy) {
        this.qy = qy;
    }
    public String getJcnr() {
        return jcnr;
    }

    public void setJcnr(String jcnr) {
        this.jcnr = jcnr;
    }

    public String getZy() {
        return zy;
    }

    public void setZy(String zy) {
        this.zy = zy;
    }

    public String getPl() {
        return pl;
    }

    public void setPl(String pl) {
        this.pl = pl;
    }

    public int getZt() {
        return zt;
    }

    public void setZt(int zt) {
        this.zt = zt;
    }

    public String getMs() {
        return ms;
    }

    public void setMs(String ms) {
        this.ms = ms;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(this.qy);
        dest.writeString(this.jcnr);
        dest.writeString(this.zy);
        dest.writeString(this.pl);
        dest.writeInt(this.zt);
        dest.writeString(this.ms);
    }

    protected SbdjInfo(Parcel in) {
        this.qy = in.readString();
        this.jcnr = in.readString();
        this.zy = in.readString();
        this.pl = in.readString();
        this.zt = in.readInt();
        this.ms = in.readString();
    }

    public static final Parcelable.Creator<SbdjInfo> CREATOR = new Parcelable.Creator<SbdjInfo>() {
        @Override
        public SbdjInfo createFromParcel(Parcel source) {
            return new SbdjInfo(source);
        }

        @Override
        public SbdjInfo[] newArray(int size) {
            return new SbdjInfo[size];
        }
    };
}
